Retrieve hotels review by IDs
https://api-sandbox.worldota.net/api/content/v1/hotel_reviews_by_idshttps://api.worldota.net/api/content/v1/hotel_reviews_by_ids/
⚠️
Do not call this endpoint during live user search sessions or when displaying hotel lists. This endpoint is intended exclusively for scheduled, offline content synchronization. Real-time usage during user interactions may lead to service degradation and is not allowed.
In this call can get reviews on the requested hotel IDs.
Use the call in cases:
- Scheduled daily or weekly synchronization of hotel content to keep your local database up-to-date.
- On-demand refresh of hotel content for a specific property before making a reservation (similar to the /hotel/info/ endpoint usage).
ℹ️
- Use this call instead of call Retrieve hotel reviews’ dump.
- Use this call after Retrieve hotels content by IDs.
- Call is limited to 1200 requests per minute (QPM).
- Maximum 100 hotel IDs per request.
Sandbox limitations
⚠️
Use only field values, IDs, API keys, and any static content from the sandbox environment within the sandbox. Do not use sandbox data in test or production environments, and do not mix data or configuration between different environments.
Request example
curl --user '<KEY_ID>:<API_KEY>' 'https://api-sandbox.worldota.net/api/content/v1/hotel_reviews_by_ids/' \
--header 'Content-Type: application/json' \
--data '{
"hids": [6291688,
6296387,
6296716,
6303545,
6303742,
6304320,
6304603,
6304886,
6304887,
6314064,
6314532,
6315546,
6317902,
6333750,
6334068,
6344525,
6352359,
6353673,
6374316],
"language": "en"
}'curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/content/v1/hotel_reviews_by_ids/' \
--header 'Content-Type: application/json' \
--data '{
"hids": [6291688,
6296387,
6296716,
6303545,
6303742,
6304320,
6304603,
6304886,
6304887,
6314064,
6314532,
6315546,
6317902,
6333750,
6334068,
6344525,
6352359,
6353673,
6374316],
"language": "en"
}'Request body
Response
Response example
{
"data": [
{
"id": "black_shrimps_house",
"hid": 6314532,
"reviews": []
},
{
"id": "jaz_fanara_residence_2",
"hid": 6374316,
"reviews": []
},
{
"id": "aladdin_beach_resort_",
"hid": 6353673,
"reviews": []
},
{
"id": "le_mirage_new_tower",
"hid": 6296716,
"reviews": []
},
{
"id": "les_appartements_de_la_concorde",
"hid": 6317902,
"reviews": []
},
{
"id": "chalets_in_porto_sokhna_resort_units__20117__12018__20411",
"hid": 6296387,
"reviews": []
},
{
"id": "fleur_du_nil_2",
"hid": 6303742,
"reviews": []
},
{
"id": "dessole_royal_rojana_resort_",
"hid": 6333750,
"reviews": []
},
{
"id": "dessole_pyramisa_beach_resort_y_sahl_hasheesh_",
"hid": 6304886,
"reviews": []
},
{
"id": "bedouin_house",
"hid": 6303545,
"reviews": []
},
{
"id": "dahab_sea_view_apartment",
"hid": 6304320,
"reviews": []
},
{
"id": "dahab_beach_homes",
"hid": 6314064,
"reviews": []
},
{
"id": "senmut_luxor_hotel",
"hid": 6334068,
"reviews": []
},
{
"id": "aliyah_lodge",
"hid": 6304887,
"reviews": []
},
{
"id": "lagoon_hotel_and_spa_alexandria",
"hid": 6291688,
"reviews": []
},
{
"id": "dreamers_hotel",
"hid": 6344525,
"reviews": []
},
{
"id": "amenophis_hotel",
"hid": 6352359,
"reviews": []
},
{
"id": "el_gouna_hill_villa",
"hid": 6304603,
"reviews": []
}
],
"debug": {
"api_endpoint": {
"endpoint": "api/content/v1/hotel_reviews_by_ids",
"is_active": true,
"is_limited": true,
"remaining": 9,
"requests_number": 10,
"reset": "2026-01-30T10:13:00",
"seconds_number": 60
},
"request": {
"hids": [
6291688,
6296387,
6296716,
6303545,
6303742,
6304320,
6304603,
6304886,
6304887,
6314064,
6314532,
6315546,
6317902,
6333750,
6334068,
6344525,
6352359,
6353673,
6374316
],
"language": "en"
},
"method": "POST",
"real_ip": "104.30.161.77",
"request_id": "19600da4bbe2928a60c854ab27fe5e70",
"key_id": 1234,
"api_key_id": 1234,
"utcnow": "2026-01-30T10:12:38.305275"
},
"status": "ok",
"error": null
}Errors
The error field has the value specified in the headers below.
invalid_params
One or more input parameters are incorrect. For more details, see the response field debug validation_error.
no_hotel_reviews
An internal search error. Has 500 status code.